Vulnerability   
Search   
    Search 187964 CVE descriptions
and 85075 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.112753
Category:Denial of Service
Title:VLC Media Player < 3.0.9 DoS Vulnerability (Linux)
Summary:VLC Media Player is prone to a denial-of-service (DoS) vulnerability.
Description:Summary:
VLC Media Player is prone to a denial-of-service (DoS) vulnerability.

Vulnerability Insight:
An off-by-one error in the DecodeBlock function in codec/sdl_image.c
allows remote attackers to cause a denial-of-service (memory corruption) via a crafted image file.

Vulnerability Impact:
Successful exploitation would allow an attacker to trigger either a crash of VLC.

Affected Software/OS:
VideoLAN VLC Media Player before version 3.0.9 on Linux.

Solution:
Update to version 3.0.9 or later.

CVSS Score:
6.8

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2019-19721
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 85075 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.